%global enable_tests 1

Name:           nodejs-passport-strategy
Version:        1.0.0
Release:        1%{?dist}
Summary:        An abstract class implementing Passport's strategy API

License:        MIT
URL:            https://github.com/jaredhanson/passport-strategy
Source0:        http://registry.npmjs.org/passport-strategy/-/passport-strategy-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated using Source10, which pulls from the upstream
# version control repository.
Source1:        passport-strategy-tests-v%{version}.tar.bz2
Source10:       passport-strategy-dl-tests.sh
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(chai)
%endif

%description
This module exports an abstract Strategy class that is intended to be
subclassed when implementing concrete authentication strategies. Once
implemented, such strategies can be used by applications that utilize
Passport middleware for authentication.


%prep
%setup -q -n package
%setup -T -D -a 1 -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}/%{nodejs_sitelib}/passport-strategy
cp -pr package.json lib %{buildroot}/%{nodejs_sitelib}/passport-strategy
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha --reporter spec --require test/bootstrap/node test/*.test.js
%endif


%files
%doc LICENSE README.md
%{nodejs_sitelib}/passport-strategy


%changelog
* Sun Aug 18 2013 Tom Hughes <tom@compton.nu> - 1.0.0-1
- Initial build of 1.0.0
